#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	long long n, a=0, k=1;
    cin>>n;
    long long m[n];
    for(long long i=0;i<n;i++)
    {
        cin>>m[i];
    }
    a+=m[n-1];
    for(long long i=n-2;i>=0;i--)
    {
        
        if(m[i]==m[i+1])a+=m[i]-k+1;
        else if(m[i]-k>0)a+=m[i]-k;
        else break;
        k++;
    }
    cout<<a;   
}
